%global upstream_prefix ClusterLabs-resource-agents
%global upstream_version 8ac4daaf

Summary:       Open Source HA Reusable Cluster Resource Scripts
Name:          resource-agents
Version:       4.11.0
Release:       7%{?dist}
License:       GPLv2+ and LGPLv2+
URL:           https://github.com/ClusterLabs/resource-agents
Source0:       %{upstream_prefix}-%{upstream_version}.tar.gz

BuildRequires: make automake autoconf pkgconfig gcc
BuildRequires: perl libxslt glib2-devel systemd which python3-devel systemd-devel
BuildRequires: docbook-style-xsl docbook-dtds
%ifarch x86_64
BuildRequires: python3-google-api-client python3-pyroute2
%endif

Requires:      /bin/bash /usr/bin/grep /bin/sed /bin/gawk /bin/ps /usr/bin/pkill
Requires:      /usr/bin/hostname /usr/bin/netstat /bin/mount /usr/sbin/fuser
Requires:      /sbin/fsck /usr/sbin/fsck.ext2 /usr/sbin/fsck.ext3 /usr/sbin/fsck.ext4
Requires:      /usr/sbin/fsck.xfs /usr/sbin/mount.nfs /usr/sbin/mount.nfs4 /sbin/ip /usr/sbin/lvm
Requires:      /usr/sbin/rpc.statd /usr/sbin/rpc.nfsd /usr/sbin/rpc.mountd
Provides:      heartbeat-resources = %{version}
Obsoletes:     heartbeat-resources <= %{version}

%description
A set of scripts to interface with several services to operate in a
High Availability environment for both Pacemaker and rgmanager
service managers.

%package -n ldirectord
Summary:       A Monitoring Daemon for Maintaining High Availability Resources
License:       GPLv2+
BuildRequires: perl-podlators systemd systemd-devel
%{?systemd_requires}
Requires:      perl-Net-SSLeay perl-libwww-perl perl-MailTools ipvsadm logrotate
Provides:      heartbeat-ldirectord = %{version}
Obsoletes:     heartbeat-ldirectord <= %{version}

%description -n ldirectord
The Linux Director Daemon (ldirectord) was written by Jacob Rief.
<jacob.rief@tiscover.com>

ldirectord is a stand alone daemon for monitoring the services on real
servers. Currently, HTTP, HTTPS, and FTP services are supported.
ldirectord is simple to install and works with Pacemaker
(http://clusterlabs.org/).

See 'ldirectord -h' and linux-ha/doc/ldirectord for more information.

%prep
%autosetup -n %{upstream_prefix}-%{upstream_version} -p1

%build
./autogen.sh

%configure \
  PYTHON="%{__python3}" \
  --enable-fatal-warnings=no \
  SYSTEMD_UNIT_DIR=%{_unitdir} \
  SYSTEMD_TMPFILES_DIR=%{_tmpfilesdir} \
  --with-rsctmpdir=/run/resource-agents \
  --with-pkg-name=%{name} \
  --with-ras-set=linux-ha

%make_build

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}/usr/share/doc/resource-agents


%files
%license COPYING COPYING.GPLv3 COPYING.LGPL
%doc AUTHORS ChangeLog
%doc heartbeat/README.galera
%doc doc/README.webapps
%doc %{_datadir}/%{name}/ra-api-1.dtd
%doc %{_datadir}/%{name}/metadata.rng
%{_datadir}/pkgconfig/%{name}.pc
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ocft
%{_datadir}/%{name}/ocft/configs
%{_datadir}/%{name}/ocft/caselib
%{_datadir}/%{name}/ocft/README
%{_datadir}/%{name}/ocft/README.zh_CN
%{_datadir}/%{name}/ocft/helpers.sh
%exclude %{_datadir}/%{name}/ocft/runocft
%exclude %{_datadir}/%{name}/ocft/runocft.prereq
%{_includedir}/heartbeat
%{_libexecdir}/heartbeat
%{_sbindir}/ocf-tester
%{_sbindir}/ocft
%dir %{_sysconfdir}/ha.d
%{_sysconfdir}/ha.d/shellfuncs
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/resource-agents-deps.target
%dir %{_usr}/lib/ocf
%dir %{_usr}/lib/ocf/resource.d
%dir %{_usr}/lib/ocf/lib
%{_usr}/lib/ocf/lib/heartbeat
%{_usr}/lib/ocf/resource.d/heartbeat
%dir %attr (1755, root, root)	/run/resource-agents
%{_mandir}/man7/*.7*
%{_mandir}/man8/ocf-tester.8*

%files -n ldirectord
%doc ldirectord/ldirectord.cf COPYING
%{_sbindir}/ldirectord
%config(noreplace) %{_sysconfdir}/logrotate.d/ldirectord
%dir %{_sysconfdir}/ha.d
%dir %{_sysconfdir}/ha.d/resource.d
%{_sysconfdir}/ha.d/resource.d/ldirectord
%exclude %{_sysconfdir}/rc.d/init.d/ldirectord
%{_unitdir}/ldirectord.service
%{_mandir}/man8/ldirectord.8*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Tue Sep 24 2024 cunshunxia <cunshunxia@tencent.com> - 4.11.0-6
- add systemd-devel buildrequire which contains pkgconf file.

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Miaojun Dong <zoedong@tencent.com> - 4.11.0-1
- initial build
